Summary:	RDP client
Name:		rdesktop
Version:	1.5.0
%define subrel 1
Release:	%mkrel 3
License:	GPL
Group:		Terminals
URL:		http://www.rdesktop.org/
Source0:	http://prdownloads.sourceforge.net/rdesktop/%{name}-%{version}.tar.bz2
Patch0: 	rdesktop-fix-depth-crash-1.5.0.patch
Patch1:         rdesktop-cvs-CVE-2008-1801.patch
Patch2:         rdesktop-cvs-CVE-2008-1802.patch
Patch3:         rdesktop-cvs-CVE-2008-1803.patch
BuildRequires:	XFree86-devel
BuildRequires:	gmp-devel
BuildRequires:	libao-devel
BuildRequires:	openssl-devel
BuildRoot:	%{_tmppath}/%{name}-buildroot

%description
rdesktop is an open source client for Windows NT Terminal Server and Windows
2000 Terminal Services, capable of natively speaking Remote Desktop Protocol
(RDP) in order to present the user's NT desktop. Unlike Citrix ICA, no server
extensions are required.  

rdesktop currently runs on most UNIX based platforms with the X Window System,
and other ports should be fairly straightforward. rdesktop is used through
rfbdrake.

%prep

%setup -q

#Fix crash on 16bpp
%patch0  -p1 
%patch1 -p0 -b .cve-2008-1801
%patch2 -p0 -b .cve-2008-1802
%patch3 -p0 -b .cve-2008-1803

# lib64 fix
perl -pi -e "s|\/lib\"|\/%{_lib}\"|g" configure*
perl -pi -e "s|\/lib\ |\/%{_lib}\ |g" configure*

%build

%configure2_5x \
    --with-openssl=%{_prefix} \
    --with-libao=%{_prefix} \
    --with-sound=libao \
    --with-ipv6

%make

chmod 644 COPYING
chmod 644 doc/*

%install
rm -rf %{buildroot}

%makeinstall_std

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc COPYING doc/*.txt doc/AUTHORS doc/HACKING doc/TODO
%{_bindir}/rdesktop
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/keymaps
%{_mandir}/man1/*


%changelog
* Wed May 14 2008 Vincent Danen <vdanen@mandriva.com> 1.5.0-3.1mdv2008.0
- P1: security fix for CVE-2008-1801
- P2: security fix for CVE-2008-1802
- P3: security fix for CVE-2008-1803

* Fri Sep 14 2007 Oden Eriksson <oeriksson@mandriva.com> 1.5.0-3mdv2008.0
+ Revision: 85742
- try to restore the original changelog that was lost somehow...

* Wed Jun 13 2007 Emmanuel Blindauer <blindauer@mandriva.org> 1.5.0-2mdv2008.0
+ Revision: 38544
- add patch to fix problem #30452, rdesktop crashing on 16 bits display with win2k3 server


* Wed Jun 13 2007 Emmanuel Blindauer <blindauer@mandriva.org> 1.5.0-2mdv2008.0
- add patch to fix problem #30452, rdesktop crashing on 16 bits display with win2k3 server

* Sun Nov 13 2005 Oden Eriksson <oeriksson@mandriva.com> 1.4.1-2mdk
- rebuilt against openssl-0.9.8a

* Mon May 09 2005 Oden Eriksson <oeriksson@mandriva.com> 1.4.1-1mdk
- 1.4.1 (Major bugfixes)
- fix deps
- lib64 fixes

* Mon Mar 07 2005 Oden Eriksson <oden.eriksson@kvikkjokk.net> 1.4.0-1mdk
- 1.4.0
- drop obsolete patches
- rediffed the directory_size patch
- use the %%configure2_5x macro

* Tue Jul 27 2004 Daouda LO <daouda@mandrakesoft.com> 1.3.1-3mdk
- increase directory size for -c option (Gilles C.)

* Thu Feb 26 2004 Olivier Thauvin <thauvin@aerov.jussieu.fr> 1.3.1-2mdk
- Fix DIRM (distlint)

* Fri Jan 23 2004 Gtz Waschk <waschk@linux-mandrake.com> 1.3.1-1mdk
- new version

* Thu Nov 20 2003 Gtz Waschk <waschk@linux-mandrake.com> 1.3.0-1mdk
- fix doc file listing
- rediff patch 1
- drop patch 0
- new version

* Fri Sep 19 2003 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.2.0-4mdk
- lib64 fixes

* Fri Aug  8 2003 Daouda LO <daouda@mandrakesoft.com> 1.2.0-3mdk
- Keymaps fixes (display of ', @, ^, ...) for french and finnish.
  [scylla.oddysey.securewave.com is down so i don't have a Windows Terminal 
   Server to test this.]

* Fri Jul 25 2003 Per yvind Karlsen <peroyvind@sintrax.net> 1.2.0-2mdk
- rebuild
- use %%makeinstall_std macro
- use %%make macro
- really use $RPM_OPT_FLAGS, and don't mess with Makefile to use them

* Mon Feb  3 2003 Daouda LO <daouda@mandrakesoft.com> 1.2.0-1mdk
- release 1.2.0
- added keymaps support
- added man page and doc files
- "unified patch" completely messed up(most of the features are integrated):
  look at patch.txt status

* Sat Feb  1 2003 Daouda LO <daouda@mandrakesoft.com> 1.1.0-8mdk
- fix rdesktop segfaults (bug #1152)

* Sun Jan 26 2003 Stefan van der Eijk <stefan@eijk.nu> 1.1.0-7mdk
- BuildRequires
- Remove redundant Requires (let rpm do the job)

* Wed Dec  4 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.1.0-6mdk
- Make it lib64 aware

* Thu May 30 2002 Stefan van der Eijk <stefan@eijk.nu> 1.1.0-5mdk
- update to unified path 19-9-0

* Tue Feb  5 2002 Daouda LO <daouda@mandrakesoft.com> 1.1.0-4mdk
- mdk release 
- update to unified path 19-8-4

* Fri Jan 25 2002 Guillaume Rousse <rousse@ccr.jussieu.fr> 1.1.0-3plf
- fixed extension

* Fri Jan 25 2002 RA <ralf_ahlbrink@web.de> 1.1.0-3mdk
- update to unified patch 19-8-3

* Tue Jan 15 2002 Guillaume Rousse <rousse@ccr.jussieu.fr> 1.1.0-2mdk
- contributed to PLF by Oden Eriksson <oden.eriksson@kvikkjokk.net>

* Sun Jan  6 2002 Oden Eriksson <oden.eriksson@kvikkjokk.net> 1.1.0-1mdk
- initial cooker contrib
